#pragma once

#include "v3.h"

class PPC {
public:
  V3 a, b, c, C;
  int w, h;
  PPC() {};
  PPC(float hfov, int _w, int _h);
  bool Project(V3 P, V3 &projP);
  void TranslateRight(float tstep);
  void TranslateLeft(float tstep);
  void TranslateUp(float tstep);
  void TranslateDown(float tstep);
  void Pan(float rstep);
  V3 GetVD();
  float Getf();
  void PositionAndOrient(V3 newC, V3 newVD,
    V3 vinUP, PPC &ppc);
  PPC Interpolate(PPC *ppc0, PPC *ppc1, float frac);
};